package web

import (
	"git.sleepycat.moe/sam/mercury/web/app"
	"git.sleepycat.moe/sam/mercury/web/frontend"
)

func Routes(app *app.App) {
	frontend := frontend.New(app)
	app.Router.HandleFunc(frontend.AssetsPath(), frontend.ServeAssets)
	app.Router.HandleFunc("/web", frontend.ServeFrontend)
	app.Router.HandleFunc("/web/*", frontend.ServeFrontend)
}
